> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/get-custom-field.md).

# Get Custom Field

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
GET /customFields/{CustomFieldId}
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>CustomFieldId</td><td>integer</td><td>yes</td><td>The id of the custom field to retrieve</td></tr></tbody></table>

#### Response

```json
{
    "data": {
        "assignedCategoryIds": [],
        "defaultValue": null,
        "id": 26707,
        "isHidden": false,
        "isRequired": false,
        "isSensitiveData": false,
        "name": "Client Comment",
        "placeholder": "Client Comment",
        "possibleValues": [],
        "type": "text_input"
    },
    "errorCode": -1,
    "errorText": null
}
```

`Data` field has type of [Custom Field](/docs/apis/tickets/reference/objects/custom-field.md) object.
